From 625e24ca91a258ce0cc32a9bb3a67358414254b2 Mon Sep 17 00:00:00 2001
From: Lucas Ramage <lucas.ramage@infinite-omicron.com>
Date: Sun, 24 Apr 2022 16:07:36 -0400
Subject: [PATCH 1/1] Fix the -march=native issue for ppc64le

Resolves #213

Signed-off-by: Lucas Ramage <lucas.ramage@infinite-omicron.com>
---
 src/include/defaults.mk | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/include/defaults.mk b/src/include/defaults.mk
index 632b155..d756caa 100644
--- a/src/include/defaults.mk
+++ b/src/include/defaults.mk
@@ -73,10 +73,14 @@ override SOFLAGS = $(_SOFLAGS) \
 
 HOST_ARCH=$(shell uname -m)
 ifneq ($(HOST_ARCH),ia64)
+ifneq ($(HOST_ARCH),ppc64le)
 	HOST_MARCH=-march=native
 else
 	HOST_MARCH=
 endif
+else
+	HOST_MARCH=
+endif
 HOST_CPPFLAGS ?= $(CPPFLAGS)
 override _HOST_CPPFLAGS := $(HOST_CPPFLAGS)
 override HOST_CPPFLAGS = $(_HOST_CPPFLAGS) \
-- 
2.32.0

